/*
 * PostfixExpression.h
 *
 *  Created on: Dec 5, 2012
 *      Author: attero
 */

#ifndef POSTFIXEXPRESSION_H_
#define POSTFIXEXPRESSION_H_
#include "ASTExpression.h"
#include "ASTStatement.h"

class PostfixExpression : public ASTExpression {
public:

	bool body_set;
	bool head_set;
	std::vector<ASTExpression *> arguments;
	void set_head(ASTExpression * expression);
	void add_argument(ASTExpression * expression);

	virtual SenchaObject evaluate();
	virtual void execute();
	virtual void execute_quietly(){//do nothing
		};


	std::string debug() ;

	PostfixExpression(ASTNode * parent);
	virtual ~PostfixExpression();
};

#endif /* POSTFIXEXPRESSION_H_ */
